##### GENERAL STUFF #####
%define version    0.4.1
%define release    %mkrel 1

Name:    brikx
Summary:  A small puzzle game
Version:  %{version}
Release:  %{release}
License:  GPL
URL:    http://sourceforge.net/projects/brikx
Group:    Games/Puzzles
Source0:  %{name}-%{version}-src.tar.bz2
BuildRequires:  ImageMagick
%ifarch i586
BuildRequires: SDL_image-devel SDL_mixer-devel SDL_ttf-devel
%endif
%ifarch x86_64
BuildRequires: lib64SDL_image-devel lib64SDL_mixer-devel lib64SDL_ttf-devel
%endif
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Brikx is a small puzzle game in which your goal is to remove all tiles
from the table. You are held up by other tiles, gravity walls, and
other things, and you can even redesign the level while playing!

Author: glezmen <bokorn@tvn.hu>


##### PREP #####
%prep
%setup -q -n %{name}
# Fix permission of folder:
chmod +x src/data/high
# Fix permission of music-file:
chmod +r src/data/music/brikx.xm
# Fix permission of 21st level-file:
chmod +r src/data/levels/21.lvl

# Change hardcoded path of games-data:
sed -i 's!data/!%{_gamesdatadir}/%{name}/data/!' src/brikx.h

# Change hardcoded path of highscore-file:
sed -i 's!DIR_DATA"high/high.dat"!"~/.brikx/high.dat"!' src/brikx.h



##### BUILD #####
%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make


##### INSTALL #####
%install
rm -rf %{buildroot}
%makeinstall_std

# make install currently doesn't work correctly. Copying files manually:
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -R %{_builddir}/%{name}/src/data %{buildroot}%{_gamesdatadir}/%{name}

# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Brikx
GenericName=Puzzle Game
Comment=Brikx - %{summary}
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 src/data/tilesets/stone/51.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 src/data/tilesets/stone/51.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 src/data/tilesets/stone/51.png %{buildroot}/%{_liconsdir}/%{name}.png


##### POST & POSTUN  #####
%post
%update_menus

%postun
%clean_menus


##### CLEAN #####
%clean
rm -rf %{buildroot}


##### FILE LIST #####
%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*


##### CHANGELOG #####
%changelog

* Tue Jan 27 2009 tigger-gg <rpm@mandrivauser.de> 0.4.1-1mud2009.0
- Rebuild for x86_64

* Tue Oct 14 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.1-1mud2009.0
- rebuild for 2009.0

* Thu Apr 10 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.1-1mud2008.1
- rebuild for 2008.1

* Wed Feb 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.1-1mud2008.0
- rebuild for MUde

* Sat Feb 16 2008 MaxiPunkt <email@domain.de> 0.4.1-1max
- New version
* Fri Nov 02 2007 MaxiPunkt <email@domain.de> 0.4.0-0.b.1max
- First built for Mandriva
